Bug 1661317

Summary: dhcpd stops working after 10min's of operation.
Product: [Fedora] Fedora Modules Reporter: Rafael Leiva-Ochoa <spawn>
Component: dhcp-serverAssignee: Petr Hracek <phracek>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: dhodovsk, jsluoma, phracek, rbean
Target Milestone: ---   
Target Release: ---   
Hardware: armv7hl   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rafael Leiva-Ochoa 2018-12-20 19:44:54 UTC
Description of problem: DHCPd process keeps crashing after running for 10min's. 


Version-Release number of selected component (if applicable): dhcp-server 4.3.6-28


How reproducible: Start the dhcpd6 process and leave running for 10min's.


Steps to Reproduce:
1. systemctl start dhcpd6 
2. Leave the process running for 10min's

Actual results:

[root@dhcpserver ~]# systemctl status dhcpd6
‚óŹ dhcpd6.service - DHCPv6 Server Daemon
   Loaded: loaded (/usr/lib/systemd/system/dhcpd6.service; enabled; vendor preset: disabled)
   Active: failed (Result: signal) since Wed 2018-12-19 20:44:36 PST; 40min ago
     Docs: man:dhcpd(8)
           man:dhcpd.conf(5)
  Process: 810 ExecStart=/usr/sbin/dhcpd -f -6 -cf /etc/dhcp/dhcpd6.conf -user dhcpd -group dhcpd --no-pid $DHCPDARGS (code=killed, signal=ABRT)
 Main PID: 810 (code=killed, signal=ABRT)
   Status: "Dispatching packets..."

Oct 29 00:29:38 dhcpserver.rloteck.com dhcpd[810]: Listening on Socket/6/eth0/fd01::/64
Oct 29 00:29:38 dhcpserver.rloteck.com dhcpd[810]: Sending on   Socket/6/eth0/fd01::/64
Oct 29 00:29:38 dhcpserver.rloteck.com dhcpd[810]: Server starting service.
Oct 29 00:29:38 dhcpserver.rloteck.com systemd[1]: Started DHCPv6 Server Daemon.
Dec 19 20:44:36 dhcpserver.rloteck.com dhcpd[810]: Relay-forward message from fe80::fa0b:cbff:fe03:ec79 port 547, link address fd02::1, peer add>
Dec 19 20:44:36 dhcpserver.rloteck.com dhcpd[810]: Advertise NA: address fd02::243 to client with duid 00:01:00:01:1f:a6:d5:77:2c:33:61:2e:ba:fa>
Dec 19 20:44:36 dhcpserver.rloteck.com dhcpd[810]: Sending Relay-reply to fe80::fa0b:cbff:fe03:ec79 port 547
Dec 19 20:44:36 dhcpserver.rloteck.com dhcpd[810]: Wrote 3 NA, 0 TA, 0 PD leases to lease file.
Dec 19 20:44:36 dhcpserver.rloteck.com systemd[1]: dhcpd6.service: Main process exited, code=killed, status=6/ABRT
Dec 19 20:44:36 dhcpserver.rloteck.com systemd[1]: dhcpd6.service: Failed with result 'signal'.




Expected results:


Additional info: Tried to run manually, and I get the following output:

[root@dhcpserver ~]# /usr/sbin/dhcpd -f -6 -cf /etc/dhcp/dhcpd6.conf -user dhcpd -group dhcpd --no-pid $DHCPDARGS
Internet Systems Consortium DHCP Server 4.3.6
Copyright 2004-2017 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/
ldap_gssapi_principal is not set,GSSAPI Authentication for LDAP will not be used
Not searching LDAP since ldap-server, ldap-port and ldap-base-dn were not specified in the config file
Config file: /etc/dhcp/dhcpd6.conf
Database file: /var/lib/dhcpd/dhcpd6.leases
PID file: /var/run/dhcpd6.pid
Wrote 2 NA, 0 TA, 0 PD leases to lease file.
Bound to *:547
Listening on Socket/6/eth0/fd01::/64
Sending on   Socket/6/eth0/fd01::/64
../../../lib/isc/heap.c:219: REQUIRE(idx >= 1 && idx <= heap->last) failed, back trace
#0 0xb6bd1124 in ??
#1 0xb6bd1044 in ??
#2 0xb6bd8a90 in ??
#3 0x474888 in ??
#4 0x4856d0 in ??
#5 0xb6bf6a44 in ??
#6 0xb6bfc080 in ??
#7 0xb6bfc5d4 in ??
#8 0x48587c in ??
#9 0x42f4cc in ??
#10 0xb666077c in ??

The "abrt-cli ls" command only gives me this:

[root@dhcpserver ~]# abrt-cli ls
id 3c76cb35b23c0b1094390806fc9c8361a35371de
reason:         unwind_backtrace(): WARNING: CPU: 1 PID: 448 at drivers/mmc/host/bcm2835.c:957 bcm2835_threaded_irq+0x68/0x174 [bcm2835]
time:           Fri 14 Dec 2018 06:37:08 PM PST
cmdline:        ro root=UUID=7ea4a72f-1f7f-42c0-a0d6-f75138f2419b 
package:        kernel-core-4.16.3-301.fc28
count:          1
Directory:      /var/spool/abrt/oops-2018-12-14-21:37:08-26828-0
Reported:       cannot be reported

id 937e56ea142e0b09e7a75f58640ceb216818f0ec
reason:         unwind_backtrace(): WARNING: CPU: 2 PID: 454 at drivers/gpio/gpiolib.c:2986 gpiod_set_value+0x44/0x5c
time:           Mon 05 Mar 2018 02:17:09 PM PST
cmdline:        ro root=UUID=7ea4a72f-1f7f-42c0-a0d6-f75138f2419b 
package:        kernel-core-4.16.3-301.fc28
count:          3
Directory:      /var/spool/abrt/oops-2018-03-05-17:17:08-819-1
Reported:       cannot be reported

Comment 1 Juha Luoma 2019-05-08 18:42:27 UTC
Probably same issue on my up to date Fedora 29 x86_64 box:

# dhcpd -d -6 -cf /etc/dhcp/dhcpd6.conf
Internet Systems Consortium DHCP Server 4.3.6
Copyright 2004-2017 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/
ldap_gssapi_principal is not set,GSSAPI Authentication for LDAP will not be used
Not searching LDAP since ldap-server, ldap-port and ldap-base-dn were not specified in the config file
Config file: /etc/dhcp/dhcpd6.conf
Database file: /var/lib/dhcpd/dhcpd6.leases
PID file: /var/run/dhcpd6.pid
Wrote 5 NA, 0 TA, 0 PD leases to lease file.

No subnet6 declaration for vboxnet1 (fe80::800:27ff:fe00:1).
** Ignoring requests on vboxnet1.  If this is not what
   you want, please write a subnet6 declaration
   in your dhcpd.conf file for the network segment
   to which interface vboxnet1 is attached. **

Bound to *:547
Listening on Socket/5/eno1/2001:123:123:1::/64
Sending on   Socket/5/eno1/2001:123:123:1::/64
Server starting service.
Relay-forward message from 2001:123:123:b::1 port 547, link address 2001:123:123:b::1, peer address fe80::11e3:4819:62d7:1797
Advertise NA: address 2001:123:123:b::790 to client with duid 00:01:00:01:20:9d:f9:24:f8:ca:b8:45:60:f6 iaid = 232543072 valid for 3600 seconds
Sending Relay-reply to 2001:123:123:b::1 port 547
Relay-forward message from 2001:123:123:b::1 port 547, link address 2001:123:123:b::1, peer address fe80::11e3:4819:62d7:1797
Reply NA: address 2001:123:123:b::790 to client with duid 00:01:00:01:20:9d:f9:24:f8:ca:b8:45:60:f6 iaid = 232543072 valid for 3600 seconds
../../../lib/isc/heap.c:221: REQUIRE(idx >= 1 && idx <= heap->last) failed, back trace
#0 0x7f73d25c529b in ??
#1 0x7f73d25c51e0 in ??
#2 0x7f73d25cc3ea in ??
#3 0x560dfbb31d92 in ??
#4 0x560dfbb32085 in ??
#5 0x560dfbb2cd26 in ??
#6 0x560dfbb2f652 in ??
#7 0x560dfbb30a15 in ??
#8 0x560dfbb30ce8 in ??
#9 0x560dfbb31629 in ??
#10 0x560dfbb535f8 in ??
#11 0x560dfbb423c7 in ??
#12 0x7f73d291e1a6 in ??
#13 0x7f73d25fa0df in ??
#14 0x7f73d25e954f in ??
#15 0x7f73d25ee3e8 in ??
#16 0x7f73d25ee8b4 in ??
#17 0x560dfbb44616 in ??
#18 0x560dfbaf11d6 in ??
#19 0x7f73d1f2b413 in ??
#20 0x560dfbaf1ace in ??
Aborted (core dumped)

# rpm -qi dhcp-server
Name        : dhcp-server
Epoch       : 12
Version     : 4.3.6
Release     : 29.fc29
Architecture: x86_64
Install Date: Sun 24 Feb 2019 01:35:02 PM EET
Group       : Unspecified
Size        : 1264140
License     : ISC
Signature   : RSA/SHA256, Mon 18 Feb 2019 03:16:29 PM EET, Key ID a20aa56b429476b4
Source RPM  : dhcp-4.3.6-29.fc29.src.rpm
Build Date  : Mon 18 Feb 2019 02:09:27 PM EET
Build Host  : buildvm-29.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://isc.org/products/DHCP/
Bug URL     : https://bugz.fedoraproject.org/dhcp
Summary     : Provides the ISC DHCP server
Description :
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

This package provides the ISC DHCP server.

With some searching upstream issue is probably here: https://bugs.isc.org/Public/Bug/Display.html?id=48804